## docker-buildx 0.11.2

=== debian/changelog ===
docker-buildx (0.11.2-0ubuntu1~23.04.2) lunar-security; urgency=medium

  * No change rebuild due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Wed, 17 Jan 2024 15:15:25 +0530

docker-buildx (0.11.2-0ubuntu1~23.04.1) lunar; urgency=medium

  * Backport version from Mantic (LP: #1968035, #2036350).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Sat, 16 Sep 2023 06:39:49 -0300

docker-buildx (0.11.2-0ubuntu1) mantic; urgency=medium

  * Initial release.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 17 May 2023 16:17:52 -0300

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk

export VERSION := $(DEB_VERSION_UPSTREAM)

export BUILDX_GITCOMMIT := $(DEB_VERSION)

# temporary build path (see http://golang.org/doc/code.html#GOPATH)
OUR_GOPATH := $(CURDIR)/.gopath
export GOPATH := $(OUR_GOPATH)
export GOCACHE := $(CURDIR)/.gocache

# https://blog.golang.org/go116-module-changes (TODO figure out a new solution for Go 1.17+)
export GO111MODULE := auto

override_dh_gencontrol:
	echo 'libc:Built-Using=$(shell dpkg-query -f '$${source:Package} (= $${source:Version})' -W libc-dev-bin)' >> debian/docker-buildx.substvars
	# use "dh_golang" to generate "misc:Built-Using" (via "go list")
	DH_GOLANG_BUILDPKG=' \
		github.com/docker/buildx/cmd/buildx \
	' dh_golang --builddirectory='$(OUR_GOPATH:$(CURDIR)/%=%)'
	dh_gencontrol

override_dh_auto_build:
	make \
		VERSION='$(VERSION)' \
		REVISION='$(BUILDX_GITCOMMIT)' \
		build

# Basic smoke test to ensure binary built successfully
# (especially since its actual tests, even unit tests, are *really* involved.
# They depend on docker itself which requires user's permission adjustement or
# running with root. That's just the beginning :)
# Let's smoke test the plugin via autopkgtest. FWIW this is the same thing we
# do with src:docker.io-app.
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	./bin/build/docker-buildx version
endif

override_dh_auto_install:
	# we use dh_install / dh-exec for installing files where they need to be

override_dh_dwz:
	# do not call dh_dwz to avoid "dwz: Too few files for multifile optimization"
	# dh_dwz --no-dwz-multifile also does not work :)

%:
	dh $@

=== debian/watch ===
version=4

opts=\
dversionmangle=s/[+~](debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
  https://github.com/docker/buildx/tags .*/archive/.*v(\d\S*).tar.gz

## docker-buildx 0.12.1

=== Makefile ===
ifneq (, $(BUILDX_BIN))
	export BUILDX_CMD = $(BUILDX_BIN)
else ifneq (, $(shell docker buildx version))
	export BUILDX_CMD = docker buildx
else ifneq (, $(shell which buildx))
	export BUILDX_CMD = $(which buildx)
endif

export BUILDX_CMD ?= docker buildx

.PHONY: all
all: binaries

.PHONY: build
build:
	./hack/build

.PHONY: shell
shell:
	./hack/shell

.PHONY: binaries
binaries:
	$(BUILDX_CMD) bake binaries

.PHONY: binaries-cross
binaries-cross:
	$(BUILDX_CMD) bake binaries-cross

.PHONY: install
install: binaries
	mkdir -p ~/.docker/cli-plugins
	install bin/build/buildx ~/.docker/cli-plugins/docker-buildx

.PHONY: release
release:
	./hack/release

.PHONY: validate-all
validate-all: lint test validate-vendor validate-docs validate-generated-files

.PHONY: lint
lint:
	$(BUILDX_CMD) bake lint

.PHONY: test
test:
	./hack/test

.PHONY: test-unit
test-unit:
	TESTPKGS=./... SKIP_INTEGRATION_TESTS=1 ./hack/test

.PHONY: test
test-integration:
	TESTPKGS=./tests ./hack/test

.PHONY: validate-vendor
validate-vendor:
	$(BUILDX_CMD) bake validate-vendor

.PHONY: validate-docs
validate-docs:
	$(BUILDX_CMD) bake validate-docs

.PHONY: validate-authors
validate-authors:
	$(BUILDX_CMD) bake validate-authors

.PHONY: validate-generated-files
validate-generated-files:
	$(BUILDX_CMD) bake validate-generated-files

.PHONY: test-driver
test-driver:
	./hack/test-driver

.PHONY: vendor
vendor:
	./hack/update-vendor

.PHONY: docs
docs:
	./hack/update-docs

.PHONY: authors
authors:
	$(BUILDX_CMD) bake update-authors

.PHONY: mod-outdated
mod-outdated:
	$(BUILDX_CMD) bake mod-outdated

.PHONY: generated-files
generated-files:
	$(BUILDX_CMD) bake update-generated-files

=== vendor/github.com/aws/aws-sdk-go-v2/Makefile ===
# Lint rules to ignore
LINTIGNORESINGLEFIGHT='internal/sync/singleflight/singleflight.go:.+error should be the last type'
LINT_IGNORE_S3MANAGER_INPUT='feature/s3/manager/upload.go:.+struct field SSEKMSKeyId should be SSEKMSKeyID'

UNIT_TEST_TAGS=
BUILD_TAGS=-tags "example,codegen,integration,ec2env,perftest"

SMITHY_GO_SRC ?= $(shell pwd)/../smithy-go

SDK_MIN_GO_VERSION ?= 1.15

EACHMODULE_FAILFAST ?= true
EACHMODULE_FAILFAST_FLAG=-fail-fast=${EACHMODULE_FAILFAST}

EACHMODULE_CONCURRENCY ?= 1
EACHMODULE_CONCURRENCY_FLAG=-c ${EACHMODULE_CONCURRENCY}

EACHMODULE_SKIP ?=
EACHMODULE_SKIP_FLAG=-skip="${EACHMODULE_SKIP}"

EACHMODULE_FLAGS=${EACHMODULE_CONCURRENCY_FLAG} ${EACHMODULE_FAILFAST_FLAG} ${EACHMODULE_SKIP_FLAG}

# SDK's Core and client packages that are compatible with Go 1.9+.
SDK_CORE_PKGS=./aws/... ./internal/...
SDK_CLIENT_PKGS=./service/...
SDK_COMPA_PKGS=${SDK_CORE_PKGS} ${SDK_CLIENT_PKGS}

# SDK additional packages that are used for development of the SDK.
SDK_EXAMPLES_PKGS=
SDK_ALL_PKGS=${SDK_COMPA_PKGS} ${SDK_EXAMPLES_PKGS}

RUN_NONE=-run NONE
RUN_INTEG=-run '^TestInteg_'

CODEGEN_RESOURCES_PATH=$(shell pwd)/codegen/smithy-aws-go-codegen/src/main/resources/software/amazon/smithy/aws/go/codegen
CODEGEN_API_MODELS_PATH=$(shell pwd)/codegen/sdk-codegen/aws-models
ENDPOINTS_JSON=${CODEGEN_RESOURCES_PATH}/endpoints.json
ENDPOINT_PREFIX_JSON=${CODEGEN_RESOURCES_PATH}/endpoint-prefix.json

LICENSE_FILE=$(shell pwd)/LICENSE.txt

SMITHY_GO_VERSION ?=
PRE_RELEASE_VERSION ?=
RELEASE_MANIFEST_FILE ?=
RELEASE_CHGLOG_DESC_FILE ?=

REPOTOOLS_VERSION ?= latest
REPOTOOLS_MODULE = github.com/awslabs/aws-go-multi-module-repository-tools
REPOTOOLS_CMD_ANNOTATE_STABLE_GEN = ${REPOTOOLS_MODULE}/cmd/annotatestablegen@${REPOTOOLS_VERSION}
REPOTOOLS_CMD_MAKE_RELATIVE = ${REPOTOOLS_MODULE}/cmd/makerelative@${REPOTOOLS_VERSION}
REPOTOOLS_CMD_CALCULATE_RELEASE = ${REPOTOOLS_MODULE}/cmd/calculaterelease@${REPOTOOLS_VERSION}
REPOTOOLS_CMD_UPDATE_REQUIRES = ${REPOTOOLS_MODULE}/cmd/updaterequires@${REPOTOOLS_VERSION}
REPOTOOLS_CMD_UPDATE_MODULE_METADATA = ${REPOTOOLS_MODULE}/cmd/updatemodulemeta@${REPOTOOLS_VERSION}
REPOTOOLS_CMD_GENERATE_CHANGELOG = ${REPOTOOLS_MODULE}/cmd/generatechangelog@${REPOTOOLS_VERSION}
REPOTOOLS_CMD_CHANGELOG = ${REPOTOOLS_MODULE}/cmd/changelog@${REPOTOOLS_VERSION}
REPOTOOLS_CMD_TAG_RELEASE = ${REPOTOOLS_MODULE}/cmd/tagrelease@${REPOTOOLS_VERSION}
REPOTOOLS_CMD_EDIT_MODULE_DEPENDENCY = ${REPOTOOLS_MODULE}/cmd/editmoduledependency@${REPOTOOLS_VERSION}

REPOTOOLS_CALCULATE_RELEASE_VERBOSE ?= false
REPOTOOLS_CALCULATE_RELEASE_VERBOSE_FLAG=-v=${REPOTOOLS_CALCULATE_RELEASE_VERBOSE}

REPOTOOLS_CALCULATE_RELEASE_ADDITIONAL_ARGS ?=

ifneq ($(PRE_RELEASE_VERSION),)
	REPOTOOLS_CALCULATE_RELEASE_ADDITIONAL_ARGS += -preview=${PRE_RELEASE_VERSION}
endif

.PHONY: all
all: generate unit

###################
# Code Generation #
###################
.PHONY: generate smithy-generate smithy-build smithy-build-% smithy-clean smithy-go-publish-local format \
gen-config-asserts gen-repo-mod-replace gen-mod-replace-smithy gen-mod-dropreplace-smithy-% gen-aws-ptrs tidy-modules-% \
add-module-license-files sync-models sync-endpoints-model sync-endpoints.json clone-v1-models gen-internal-codegen \
sync-api-models copy-attributevalue-feature min-go-version-% update-requires smithy-annotate-stable \
update-module-metadata download-modules-%

generate: smithy-generate update-requires gen-repo-mod-replace update-module-metadata smithy-annotate-stable \
gen-config-asserts gen-internal-codegen copy-attributevalue-feature gen-mod-dropreplace-smithy-. min-go-version-. \
tidy-modules-. add-module-license-files gen-aws-ptrs format

smithy-generate:
	cd codegen && ./gradlew clean build -Plog-tests && ./gradlew clean

smithy-build:
	cd codegen && ./gradlew clean build -Plog-tests

smithy-build-%:
	@# smithy-build- command that uses the pattern to define build filter that
	@# the smithy API model service id starts with. Strips off the
	@# "smithy-build-".
	@#
	@# e.g. smithy-build-com.amazonaws.rds
	@# e.g. smithy-build-com.amazonaws.rds#AmazonRDSv19
	cd codegen && \
	SMITHY_GO_BUILD_API="$(subst smithy-build-,,$@)" ./gradlew clean build -Plog-tests

smithy-annotate-stable:
	go run ${REPOTOOLS_CMD_ANNOTATE_STABLE_GEN}

smithy-clean:
	cd codegen && ./gradlew clean

smithy-go-publish-local:
	rm -rf /tmp/smithy-go-local
	git clone https://github.com/aws/smithy-go /tmp/smithy-go-local
	make -C /tmp/smithy-go-local smithy-clean smithy-publish-local

format:
	gofmt -w -s .

gen-config-asserts:
	@echo "Generating SDK config package implementor assertions"
	cd config \
	    && go mod tidy \
	    && go generate

gen-internal-codegen:
	@echo "Generating internal/codegen"
	cd internal/codegen \
		&& go mod tidy \
		&& go generate

gen-repo-mod-replace:
	@echo "Generating go.mod replace for repo modules"
	go run ${REPOTOOLS_CMD_MAKE_RELATIVE}

gen-mod-replace-smithy-%:
	@# gen-mod-replace-smithy- command that uses the pattern to define build filter that
	@# for modules to add replace to. Strips off the "gen-mod-replace-smithy-".
	@#
	@# SMITHY_GO_SRC environment variable is the path to add replace to
	@#
	@# e.g. gen-mod-replace-smithy-service_ssooidc
	cd ./internal/repotools/cmd/eachmodule \
		&& go run . -p $(subst _,/,$(subst gen-mod-replace-smithy-,,$@)) ${EACHMODULE_FLAGS} \
			"go mod edit -replace github.com/aws/smithy-go=${SMITHY_GO_SRC}"

gen-mod-dropreplace-smithy-%:
	@# gen-mod-dropreplace-smithy- command that uses the pattern to define build filter that
	@# for modules to add replace to. Strips off the "gen-mod-dropreplace-smithy-".
	@#
	@# e.g. gen-mod-dropreplace-smithy-service_ssooidc
	cd ./internal/repotools/cmd/eachmodule \
		&& go run . -p $(subst _,/,$(subst gen-mod-dropreplace-smithy-,,$@)) ${EACHMODULE_FLAGS} \
			"go mod edit -dropreplace github.com/aws/smithy-go"

gen-aws-ptrs:
	cd aws && go generate

tidy-modules-%:
	@# tidy command that uses the pattern to define the root path that the
	@# module testing will start from. Strips off the "tidy-modules-" and
	@# replaces all "_" with "/".
	@#
	@# e.g. tidy-modules-internal_protocoltest
	cd ./internal/repotools/cmd/eachmodule \
		&& go run . -p $(subst _,/,$(subst tidy-modules-,,$@)) ${EACHMODULE_FLAGS} \
		"go mod tidy"

download-modules-%:
	@# download command that uses the pattern to define the root path that the
	@# module testing will start from. Strips off the "download-modules-" and
	@# replaces all "_" with "/".
	@#
	@# e.g. download-modules-internal_protocoltest
	cd ./internal/repotools/cmd/eachmodule \
		&& go run . -p $(subst _,/,$(subst download-modules-,,$@)) ${EACHMODULE_FLAGS} \
		"go mod download all"

add-module-license-files:
	cd internal/repotools/cmd/eachmodule && \
    	go run . -skip-root \
            "cp $(LICENSE_FILE) ."

sync-models: sync-endpoints-model sync-api-models

sync-endpoints-model: sync-endpoints.json

sync-endpoints.json:
	[[ ! -z "${ENDPOINTS_MODEL}" ]] && cp ${ENDPOINTS_MODEL} ${ENDPOINTS_JSON} || echo "ENDPOINTS_MODEL not set, must not be empty"

clone-v1-models:
	rm -rf /tmp/aws-sdk-go-model-sync
	git clone https://github.com/aws/aws-sdk-go.git --depth 1 /tmp/aws-sdk-go-model-sync

sync-api-models:
	cd internal/repotools/cmd/syncAPIModels && \
		go run . \
			-m ${API_MODELS} \
			-o ${CODEGEN_API_MODELS_PATH}

copy-attributevalue-feature:
	cd ./feature/dynamodbstreams/attributevalue && \
	find . -name "*.go" | grep -v "doc.go" | xargs -I % rm % && \
	find ../../dynamodb/attributevalue -name "*.go" | grep -v "doc.go" | xargs -I % cp % . && \
	ls *.go | grep -v "convert.go" | grep -v "doc.go" | \
		xargs -I % sed -i.bk -E 's:github.com/aws/aws-sdk-go-v2/(service|feature)/dynamodb:github.com/aws/aws-sdk-go-v2/\1/dynamodbstreams:g' % &&  \
	ls *.go | grep -v "convert.go" | grep -v "doc.go" | \
		xargs -I % sed -i.bk 's:DynamoDB:DynamoDBStreams:g' % &&  \
	ls *.go | grep -v "doc.go" | \
		xargs -I % sed -i.bk 's:dynamodb\.:dynamodbstreams.:g' % &&  \
	sed -i.bk 's:streams\.:ddbtypes.:g' "convert.go" && \
	sed -i.bk 's:ddb\.:streams.:g' "convert.go" &&  \
	sed -i.bk 's:ddbtypes\.:ddb.:g' "convert.go" &&\
	sed -i.bk 's:Streams::g' "convert.go" && \
	rm -rf ./*.bk && \
	go mod tidy && \
	gofmt -w -s . && \
	go test .

min-go-version-%:
	cd ./internal/repotools/cmd/eachmodule \
		&& go run . -p $(subst _,/,$(subst min-go-version-,,$@)) ${EACHMODULE_FLAGS} \
		"go mod edit -go=${SDK_MIN_GO_VERSION}"

update-requires:
	go run ${REPOTOOLS_CMD_UPDATE_REQUIRES}

update-module-metadata:
	go run ${REPOTOOLS_CMD_UPDATE_MODULE_METADATA}

################
# Unit Testing #
################
.PHONY: unit unit-race unit-test unit-race-test unit-race-modules-% unit-modules-% build build-modules-% \
go-build-modules-% test test-race-modules-% test-modules-% cachedep cachedep-modules-% api-diff-modules-%

unit: lint unit-modules-.
unit-race: lint unit-race-modules-.

unit-test: test-modules-.
unit-race-test: test-race-modules-.

unit-race-modules-%:
	@# unit command that uses the pattern to define the root path that the
	@# module testing will start from. Strips off the "unit-race-modules-" and
	@# replaces all "_" with "/".
	@#
	@# e.g. unit-race-modules-internal_protocoltest
	cd ./internal/repotools/cmd/eachmodule \
		&& go run . -p $(subst _,/,$(subst unit-race-modules-,,$@)) ${EACHMODULE_FLAGS} \
		"go vet ${BUILD_TAGS} --all ./..." \
		"go test ${BUILD_TAGS} ${RUN_NONE} ./..." \
		"go test -timeout=1m ${UNIT_TEST_TAGS} -race -cpu=4 ./..."

unit-modules-%:
	@# unit command that uses the pattern to define the root path that the
	@# module testing will start from. Strips off the "unit-modules-" and
	@# replaces all "_" with "/".
	@#
	@# e.g. unit-modules-internal_protocoltest
	cd ./internal/repotools/cmd/eachmodule \
		&& go run . -p $(subst _,/,$(subst unit-modules-,,$@)) ${EACHMODULE_FLAGS} \
		"go vet ${BUILD_TAGS} --all ./..." \
		"go test ${BUILD_TAGS} ${RUN_NONE} ./..." \
		"go test -timeout=1m ${UNIT_TEST_TAGS} ./..."

build: build-modules-.

build-modules-%:
	@# build command that uses the pattern to define the root path that the
	@# module testing will start from. Strips off the "build-modules-" and
	@# replaces all "_" with "/".
	@#
	@# e.g. build-modules-internal_protocoltest
	cd ./internal/repotools/cmd/eachmodule \
		&& go run . -p $(subst _,/,$(subst build-modules-,,$@)) ${EACHMODULE_FLAGS} \
		"go test ${BUILD_TAGS} ${RUN_NONE} ./..."

go-build-modules-%:
	@# build command that uses the pattern to define the root path that the
	@# module testing will start from. Strips off the "build-modules-" and
	@# replaces all "_" with "/".
	@#
	@# Validates that all modules in the repo have buildable Go files.
	@#
	@# e.g. go-build-modules-internal_protocoltest
	cd ./internal/repotools/cmd/eachmodule \
		&& go run . -p $(subst _,/,$(subst go-build-modules-,,$@)) ${EACHMODULE_FLAGS} \
		"go build ${BUILD_TAGS} ./..."

test: test-modules-.

test-race-modules-%:
	@# Test command that uses the pattern to define the root path that the
	@# module testing will start from. Strips off the "test-race-modules-" and
	@# replaces all "_" with "/".
	@#
	@# e.g. test-race-modules-internal_protocoltest
	cd ./internal/repotools/cmd/eachmodule \
		&& go run . -p $(subst _,/,$(subst test-race-modules-,,$@)) ${EACHMODULE_FLAGS} \
		"go test -timeout=1m ${UNIT_TEST_TAGS} -race -cpu=4 ./..."

test-modules-%:
	@# Test command that uses the pattern to define the root path that the
	@# module testing will start from. Strips off the "test-modules-" and
	@# replaces all "_" with "/".
	@#
	@# e.g. test-modules-internal_protocoltest
	cd ./internal/repotools/cmd/eachmodule \
		&& go run . -p $(subst _,/,$(subst test-modules-,,$@)) ${EACHMODULE_FLAGS} \
		"go test -timeout=1m ${UNIT_TEST_TAGS} ./..."

cachedep: cachedep-modules-.

cachedep-modules-%:
	@# build command that uses the pattern to define the root path that the
	@# module caching will start from. Strips off the "cachedep-modules-" and
	@# replaces all "_" with "/".
	@#

=== vendor/github.com/felixge/httpsnoop/Makefile ===
.PHONY: ci generate clean

ci: clean generate
	go test -v ./...

generate:
	go generate .

clean:
	rm -rf *_generated*.go

=== vendor/github.com/gogo/protobuf/protoc-gen-gogo/descriptor/Makefile ===
# Go support for Protocol Buffers - Google's data interchange format
#
# Copyright 2010 The Go Authors.  All rights reserved.
# https://github.com/golang/protobuf
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#     * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

regenerate:
	go install github.com/gogo/protobuf/protoc-gen-gogo
	go install github.com/gogo/protobuf/protoc-gen-gostring
	protoc --gogo_out=. -I=../../protobuf/google/protobuf ../../protobuf/google/protobuf/descriptor.proto
	protoc --gostring_out=. -I=../../protobuf/google/protobuf ../../protobuf/google/protobuf/descriptor.proto

=== debian/changelog ===
docker-buildx (0.12.1-0ubuntu1~20.04.2) focal-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Wed, 10 Jul 2024 09:05:52 +0530

docker-buildx (0.12.1-0ubuntu1~20.04.1) focal; urgency=medium

  * Backport version from Noble to Focal (LP: #2040460).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 12 Mar 2024 18:01:02 -0300

docker-buildx (0.12.1-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * d/copyright: remove superfluous file pattern
  * Build with Go 1.21, recommended by upstream
    - d/control: b-d on golang-1.21-go instead of golang-go.
    - d/rules: add Go 1.21 binary to the $PATH.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 19 Feb 2024 17:35:26 -0300

docker-buildx (0.11.2-0ubuntu1~20.04.2) focal-security; urgency=medium

  * No change rebuild due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 18 Jan 2024 10:04:04 +0530

docker-buildx (0.11.2-0ubuntu1~20.04.1) focal; urgency=medium

  * Backport version from Mantic (LP: #1968035, #2036350).
    - Build with Go 1.20.
      + d/control: b-d on golang-1.20-go.
      + d/rules: add Go 1.20 to $PATH.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Sat, 16 Sep 2023 07:02:36 -0300

=== debian/control ===
Source: docker-buildx
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-1.21-go
Standards-Version: 4.6.2
Homepage: https://github.com/docker/buildx
Vcs-Git: https://github.com/canonical/docker-buildx.git
Vcs-Browser: https://github.com/canonical/docker-buildx
Rules-Requires-Root: no

Package: docker-buildx
Architecture: any
Depends: docker.io,
         ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${libc:Built-Using}, ${misc:Built-Using}
Description: Docker CLI plugin for extended build capabilities with BuildKit
 buildx is a Docker CLI plugin for extended build capabilities with BuildKit.
 .
 Key features:
 .
  * Familiar UI from docker build
  * Full BuildKit capabilities with container driver
  * Multiple builder instance support
  * Multi-node builds for cross-platform images
  * Compose build support
  * High-level build constructs (bake)
  * In-container driver support (both Docker and Kubernetes)

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,9 @@
 
 # https://blog.golang.org/go116-module-changes (TODO figure out a new solution for Go 1.17+)
 export GO111MODULE := auto
+
+# Build with Golang 1.21
+export PATH := /usr/lib/go-1.21/bin:$(PATH)
 
 override_dh_gencontrol:
 	echo 'libc:Built-Using=$(shell dpkg-query -f '$${source:Package} (= $${source:Version})' -W libc-dev-bin)' >> debian/docker-buildx.substvars

=== debian/tests/control ===
Tests: basic-smoke
Depends: @, docker.io
Restrictions: isolation-machine needs-root allow-stderr

=== debian/watch ===
version=4

opts=\
dversionmangle=s/[+~](debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
  https://github.com/docker/buildx/tags .*/archive/.*v(\d\S*).tar.gz

## docker-buildx 0.13.1+ds1

=== debian/changelog ===
docker-buildx (0.13.1+ds1-3) unstable; urgency=medium

  * Fix CVE-2025-0495: possible credential leakage to telemetry endpoint
    (Closes: #1100991)

 -- Nicolas Peugnet <nicolas@club1.fr>  Fri, 11 Apr 2025 11:35:58 +0200

docker-buildx (0.13.1+ds1-2) unstable; urgency=medium

  [ Nicolas Peugnet ]
  * Generate and install docker-buildx manual pages
  * Install the Markdown files as docs
  * Fix clean target by removing generated manual pages
  * Recommend docker-cli package

  [ Reinhard Tartler]
  * Add myself to Uploaders

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 20 Feb 2025 17:49:01 -0500

docker-buildx (0.13.1+ds1-1) experimental; urgency=medium

  * Initial release (Closes: #989917)

 -- Nicolas Peugnet <nicolas@club1.fr>  Sat, 15 Feb 2025 17:30:38 +0100

=== debian/control ===
Source: docker-buildx
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Nicolas Peugnet <nicolas@club1.fr>, Reinhard Tartler <siretart@tauware.de>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-golang,
               git <!nocheck>,
               golang-any,
               golang-github-aws-aws-sdk-go-v2-dev,
               golang-github-compose-spec-compose-go-dev,
               golang-github-containerd-console-dev,
               golang-github-containerd-containerd-dev,
               golang-github-containerd-continuity-dev,
               golang-github-containerd-log-dev,
               golang-github-containerd-typeurl-dev,
               golang-github-creack-pty-dev,
               golang-github-distribution-reference-dev,
               golang-github-docker-cli-docs-tool-dev,
               golang-github-docker-docker-dev (>= 26.1.5+dfsg1-6),
               golang-github-docker-go-units-dev,
               golang-github-gofrs-flock-dev,
               golang-github-google-shlex-dev,
               golang-github-google-uuid-dev,
               golang-github-hashicorp-go-cty-funcs-dev,
               golang-github-hashicorp-hcl-v2-dev,
               golang-github-masterminds-semver-dev,
               golang-github-moby-sys-dev,
               golang-github-morikuni-aec-dev,
               golang-github-opencontainers-go-digest-dev,
               golang-github-opencontainers-image-spec-dev,
               golang-github-pelletier-go-toml-dev,
               golang-github-pkg-errors-dev,
               golang-github-serialx-hashring-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-pflag-dev,
               golang-github-stretchr-testify-dev,
               golang-github-tonistiigi-vt100-dev,
               golang-github-zclconf-go-cty-dev,
               golang-golang-x-mod-dev,
               golang-golang-x-sync-dev,
               golang-golang-x-term-dev,
               golang-google-grpc-dev,
               golang-gopkg-yaml.v3-dev,
               golang-k8s-api-dev,
               golang-k8s-apimachinery-dev,
               golang-k8s-apiserver-dev,
               golang-k8s-client-go-dev,
               golang-logrus-dev,
               golang-opentelemetry-otel-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/docker-buildx
Vcs-Git: https://salsa.debian.org/go-team/packages/docker-buildx.git
Homepage: https://github.com/docker/buildx
XS-Go-Import-Path: github.com/docker/buildx

Package: golang-github-docker-buildx-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-aws-aws-sdk-go-v2-dev,
         golang-github-compose-spec-compose-go-dev,
         golang-github-containerd-console-dev,
         golang-github-containerd-containerd-dev,
         golang-github-containerd-continuity-dev,
         golang-github-containerd-log-dev,
         golang-github-containerd-typeurl-dev,
         golang-github-creack-pty-dev,
         golang-github-distribution-reference-dev,
         golang-github-docker-cli-docs-tool-dev,
         golang-github-docker-docker-dev (>= 26.1.5+dfsg1-6),
         golang-github-docker-go-units-dev,
         golang-github-gofrs-flock-dev,
         golang-github-google-shlex-dev,
         golang-github-google-uuid-dev,
         golang-github-hashicorp-go-cty-funcs-dev,
         golang-github-hashicorp-hcl-v2-dev,
         golang-github-masterminds-semver-dev,
         golang-github-moby-sys-dev,
         golang-github-morikuni-aec-dev,
         golang-github-opencontainers-go-digest-dev,
         golang-github-opencontainers-image-spec-dev,
         golang-github-pelletier-go-toml-dev,
         golang-github-pkg-errors-dev,
         golang-github-serialx-hashring-dev,
         golang-github-spf13-cobra-dev,
         golang-github-spf13-pflag-dev,
         golang-github-stretchr-testify-dev,
         golang-github-tonistiigi-vt100-dev,
         golang-github-zclconf-go-cty-dev,
         golang-golang-x-mod-dev,
         golang-golang-x-sync-dev,
         golang-golang-x-term-dev,
         golang-google-grpc-dev,
         golang-gopkg-yaml.v3-dev,
         golang-k8s-api-dev,
         golang-k8s-apimachinery-dev,
         golang-k8s-apiserver-dev,
         golang-k8s-client-go-dev,
         golang-logrus-dev,
         golang-opentelemetry-otel-dev,
         ${misc:Depends},
Description: Docker CLI plugin for extended build capabilities with BuildKit (library)
 This package contains the sources of docker-buildx, to be used with
 packages that depend on it.

Package: docker-buildx
Section: admin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: docker-cli,
Static-Built-Using: ${misc:Static-Built-Using}
Description: Docker CLI plugin for extended build capabilities with BuildKit (program)
 buildx is a Docker CLI plugin for extended build capabilities with
 BuildKit (https://github.com/moby/buildkit).
 .
 Key features:
 .
  * Familiar UI from docker build
  * Full BuildKit capabilities with container driver
  * Multiple builder instance support
  * Multi-node builds for cross-platform images
  * Compose build support
  * High-level build constructs (bake)
  * In-container driver support (both Docker and Kubernetes)

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/docker/buildx/tags .*/v?(\d\S*)\.tar\.gz debian

## docker-buildx 0.14.1

=== debian/changelog ===
docker-buildx (0.14.1-0ubuntu1~24.04.1) noble; urgency=medium

  * Backport from oracular to noble. (LP: #2040461)

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Mon, 14 Oct 2024 09:19:33 -0300

docker-buildx (0.14.1-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * d/docker-buildx.docs: remove NOTICE file of a removed dependency.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 04 Jun 2024 18:24:40 -0300

docker-buildx (0.12.1-0ubuntu2) noble; urgency=medium

  * Build with Go 1.22.
    - d/control: b-d on golang-1.22-go instead of golang-1.21-go
    - d/rules: add Go 1.22 to $PATH

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 17 Apr 2024 17:12:00 -0300

## docker-buildx 0.19.3+ds1

=== debian/changelog ===
docker-buildx (0.19.3+ds1-4) unstable; urgency=medium

  * Fix running build and tests in autopkgtest

 -- Nicolas Peugnet <nicolas@club1.fr>  Wed, 29 Oct 2025 18:50:55 +0100

docker-buildx (0.19.3+ds1-3) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 25 Oct 2025 14:32:50 -0400

docker-buildx (0.19.3+ds1-2) experimental; urgency=medium

  [ Nicolas Peugnet ]
  * Update the list of dependencies
  * Update dependencies version constraints
  * Port patch for CVE-2025-0495 to v0.19.3

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 19 Oct 2025 06:47:42 -0400

docker-buildx (0.19.3+ds1-1) experimental; urgency=medium

  * New upstream version: 0.19.3, see NEWS for summary of changes
  * Build against docker 27.5.1
  * Bump Standards-Version, no changes needed

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 19 Oct 2025 05:50:43 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Nicolas Peugnet <nicolas@club1.fr>, Reinhard Tartler <siretart@tauware.de>
+Uploaders: Nicolas Peugnet <nicolas@club1.fr>,
+           Reinhard Tartler <siretart@tauware.de>,
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
@@ -14,19 +15,23 @@
                golang-github-containerd-console-dev,
                golang-github-containerd-containerd-dev,
                golang-github-containerd-continuity-dev,
+               golang-github-containerd-errdefs-dev,
                golang-github-containerd-log-dev,
+               golang-github-containerd-platforms-dev,
                golang-github-containerd-typeurl-dev,
                golang-github-creack-pty-dev,
                golang-github-distribution-reference-dev,
                golang-github-docker-cli-docs-tool-dev,
-               golang-github-docker-docker-dev (>= 26.1.5+dfsg1-6),
+               golang-github-docker-docker-dev (>= 27.5.1+dfsg3-4),
                golang-github-docker-go-units-dev,
                golang-github-gofrs-flock-dev,
                golang-github-google-shlex-dev,
                golang-github-google-uuid-dev,
                golang-github-hashicorp-go-cty-funcs-dev,
                golang-github-hashicorp-hcl-v2-dev,
+               golang-github-in-toto-in-toto-golang-dev,
                golang-github-masterminds-semver-dev,
+               golang-github-mitchellh-hashstructure-dev,
                golang-github-moby-sys-dev,
                golang-github-morikuni-aec-dev,
                golang-github-opencontainers-go-digest-dev,
@@ -37,12 +42,15 @@
                golang-github-spf13-cobra-dev,
                golang-github-spf13-pflag-dev,
                golang-github-stretchr-testify-dev,
-               golang-github-tonistiigi-vt100-dev,
+               golang-github-tonistiigi-fsutil-dev (>= 0.0~git20240925.a340068),
                golang-github-zclconf-go-cty-dev,
                golang-golang-x-mod-dev,
                golang-golang-x-sync-dev,
+               golang-golang-x-sys-dev,
                golang-golang-x-term-dev,
+               golang-golang-x-text-dev,
                golang-google-grpc-dev,
+               golang-google-protobuf-dev,
                golang-gopkg-yaml.v3-dev,
                golang-k8s-api-dev,
                golang-k8s-apimachinery-dev,
@@ -50,8 +58,9 @@
                golang-k8s-client-go-dev,
                golang-logrus-dev,
                golang-opentelemetry-otel-dev,
+Build-Conflicts: golang-github-cenkalti-backoff-dev (>> 5)
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/docker-buildx
 Vcs-Git: https://salsa.debian.org/go-team/packages/docker-buildx.git
 Homepage: https://github.com/docker/buildx
@@ -65,19 +74,23 @@
          golang-github-containerd-console-dev,
          golang-github-containerd-containerd-dev,
          golang-github-containerd-continuity-dev,
+         golang-github-containerd-errdefs-dev,
          golang-github-containerd-log-dev,
+         golang-github-containerd-platforms-dev,
          golang-github-containerd-typeurl-dev,
          golang-github-creack-pty-dev,
          golang-github-distribution-reference-dev,
          golang-github-docker-cli-docs-tool-dev,
-         golang-github-docker-docker-dev (>= 26.1.5+dfsg1-6),
+         golang-github-docker-docker-dev (>= 27.5.1+dfsg2),
          golang-github-docker-go-units-dev,
          golang-github-gofrs-flock-dev,
          golang-github-google-shlex-dev,
          golang-github-google-uuid-dev,
          golang-github-hashicorp-go-cty-funcs-dev,
          golang-github-hashicorp-hcl-v2-dev,
+         golang-github-in-toto-in-toto-golang-dev,
          golang-github-masterminds-semver-dev,
+         golang-github-mitchellh-hashstructure-dev,
          golang-github-moby-sys-dev,
          golang-github-morikuni-aec-dev,
          golang-github-opencontainers-go-digest-dev,
@@ -88,12 +101,15 @@
          golang-github-spf13-cobra-dev,
          golang-github-spf13-pflag-dev,
          golang-github-stretchr-testify-dev,
-         golang-github-tonistiigi-vt100-dev,
+         golang-github-tonistiigi-fsutil-dev (>= 0.0~git20240925.a340068),
          golang-github-zclconf-go-cty-dev,
          golang-golang-x-mod-dev,
          golang-golang-x-sync-dev,
+         golang-golang-x-sys-dev,
          golang-golang-x-term-dev,
+         golang-golang-x-text-dev,
          golang-google-grpc-dev,
+         golang-google-protobuf-dev,
          golang-gopkg-yaml.v3-dev,
          golang-k8s-api-dev,
          golang-k8s-apimachinery-dev,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DH_GOPKG := github.com/docker/buildx
LDFLAGS := -X $(DH_GOPKG)/version.Version=$(DEB_VERSION_UPSTREAM)
LDFLAGS += -X $(DH_GOPKG)/version.Revision=$(DEB_VERSION)
LDFLAGS += -X $(DH_GOPKG)/version.Package=$(DH_GOPKG)

export DH_GOLANG_INSTALL_EXTRA := driver/kubernetes/context/fixtures

# The integration tests depend on a "registry" binary, unavailable in Debian
export SKIP_INTEGRATION_TESTS=1

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_build:
	dh_auto_build --builddirectory=_build --buildsystem=golang -- -ldflags '$(LDFLAGS)'
	# Generate the manual pages
	_build/bin/docs --formats=man --source=docs/reference

# Install binaries manually, using the install file, as the executable need to
# be in a specific directory.
override_dh_auto_install:
	dh_auto_install -- --no-binaries

# Required for dh-golang-autopkgtest as a directory named "build" exists in
# the sources.
build: .FORCE

.PHONY: .FORCE
.FORCE:

=== debian/watch ===
Version: 5

Template: Github
Owner: docker
Project: buildx
Dversion-Mangle: auto
Uversion-Mangle: auto
Repacksuffix: +ds1
